| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AgvSensor Class Reference

`#include <AgvSensor.h>`

Inheritance diagram for AgvSensor:

## Public Member Functions
| AgvSensor ()
| Base constructor.
| ~AgvSensor ()
| Destructor (disconects the data sensor)
| AgvSensor (BaseCommunication *comm)
| Copy constructor: sets the basic communication object.
CommunicationStatus | Initialize ()
| Initializes the object to connect the sensor.
void | Close ()
| Method that closes all communication stops all threads and cleanup memory This method must be called when finishing usage of sensor.
RawData | RetrieveRawData ()
| Wait for Raw Data availability.
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.
PROTOCOL | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
AngleRange | GetAngleRange ()
| Gets the angle range.
SCAN_PACKET_TYPE | GetDataPacketType ()
| Gets the data packed type.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
ContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
ContaminationStatus | GetContaminationStatus ()
| Gets the contamination status.
SoftwareVersion | GetVersion ()
| Gets the sensor version data.
long | GetRuntimeHours ()
| Gets the sensor runtime hours.
int | GetTemperature ()
| Gets the temperature.
vector< RawDataError > | GetErrorLog ()
| Gets the error log.
NetworkInformation | GetNetworkInformation ()
| Gets whole data information.
string | GetDeviceName ()
| Gets the sensor's name.
ConfigurationResult | SetRawDataExchangeMode (PROTOCOL pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
ConfigurationResult | SetDataPacketType (SCAN_PACKET_TYPE pPacketType)
| Sets the packet type returned in raw data. Can be either DISTANCE or DISTANCE_INTENSITY.
ConfigurationResult | SetAngleRange (AngleRange pAngleRange)
| Sets the Angle range (start and stop)
ConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
ConfigurationResult | SetContaminationThreshold (ContaminationThreshold pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
ConfigurationResult | SetNetworkInformation (NetworkInformation pNetwork)
| Set the overall network information except IP v4 and Port.
ConfigurationResult | SetDeviceName (string pName)
| Sets the sensor's name.
void | ResetDevice ()
| Resets the device.
void | RebootDevice ()
| Reboots the device.
vector< unsigned int > | GetWms ()
| Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)
FieldName | GetFieldName (int fieldSetNumber)
| Gets the field name for a given field number.
ObjectSize | GetObjectSize ()
| Gets the object size.
WarningSpot | GetWarningSpot ()
| Gets the warning spot value.
UncoverZone | GetUncoverZoneSize ()
| Gets the uncovered zone size.
FieldData | GetField (uint8_t fieldNumber, NativeZoneTypeEnum zone)
| Returns the requested field data.
uint8_t | GetSelectedField ()
| Returns the current selected field data based on inputs.
OnOffDelay | GetOnDelay ()
| Gets ON delay.
OnOffDelay | GetOffDelay ()
| Gets OFF delay.
ActiveLevel | GetOutputActiveLevel ()
| Gets the output active level for 4 outputs.
ActiveLevel | GetOutputStatus ()
| Gets the output active status for 4 outputs.
ActiveLevel | GetInputStatus ()
| Gets the input active status for 4 inputs.
OutputFunction | GetOutputFunction ()
| Gest the output function for 4 outputs.
DefaultValues | GetDefaultValues ()
AgvSensorLeds | GetSensorLeds ()
| Gets the navigation sensor leds status.
SensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
ConfigurationResult | SetFieldName (FieldName fieldName)
| Sets the field name data.
ConfigurationResult | SetObjectSize (ObjectSize sizeToSet)
| Sets the object size.
ConfigurationResult | SetWarningSpot (WarningSpot spotToSet)
| Sets the warning spots.
ConfigurationResult | SetUncoverZoneSize (UncoverZone uncoverZoneToSet)
ConfigurationResult | SetField (FieldData data)
| Set the requested field data.
ConfigurationResult | SetMultipleSampling (MultipleSampling sampling)
| Sets the multiple sampling.
ConfigurationResult | SetHoldTime (HoldTime holdTime)
| Sets the Hold time.
ConfigurationResult | SetOnDelay (OnOffDelay onDelay)
| Sets the ON delay.
ConfigurationResult | SetOffDelay (OnOffDelay offDelay)
| Sets the OFF delay.
ConfigurationResult | SetOutputActiveLevel (ActiveLevel activeLevel)
| Sets the output active level.
ConfigurationResult | SetOutputFunction (OutputFunction function)
| Sets the output function.
ConfigurationResult | SetInputControlModeStatus (NativeInputControleModeStatus controlMode)
| Sets the input control mode.
ConfigurationResult | SetInputsValue (NativeActiveLevelEnum input1, NativeActiveLevelEnum input2, NativeActiveLevelEnum input3, NativeActiveLevelEnum input4)
| Sets the input values.
ConfigurationResult | SetSensorLeds (AgvSensorLeds leds)
| Sets the sensor's leds.
ConfigurationResult | StoreInFlash ()
| Store fields in the flash.
uint16_t | GetPlatformVersion ()
| Gets the platform version.
NativeInputControleModeStatus | GetInputControlModeStatus ()
| Gets the input controle mode status.
void | StartLearning (uint8_t fieldNumber, NativeZoneTypeEnum zone, uint16_t uncover, NativeObjSizeEnum objectSize)
| Starts the field learning.
void | StopLearning ()
| Stops the learning.
void | AbortLearning ()
| Aborts the learning.
NativeFieldLearningStatus | GetLearningStatus ()
| Gets the actual learning status.
uint16_t | GetLearningErrorCode ()
| Gets the Learning error code.
NativeAbortStatus | GetAbortStatus ()
| Gets the learning abort status.
string | RequestChallenge ()
| Request the challenge to the sensor.
ConfigurationResult | SendCypher (string cypher)
| Sends the cypher to the sensor.
NativeZoneModeEnum | GetZone1Mode ()
| Getsq the Zone1Mode parameter.
ConfigurationResult | SetZone1Mode (NativeZoneModeEnum mode)
| Sets The Zone1Mode parameter.
void | ResetAllFields ()
| Resets all fields to MAXVALUE.

## Constructor & Destructor Documentation

## ◆ AgvSensor() [1/2]

AgvSensor::AgvSensor | ( |  | ) |

Base constructor.

## ◆ ~AgvSensor()

AgvSensor::~AgvSensor | ( |  | ) |

Destructor (disconects the data sensor)

## ◆ AgvSensor() [2/2]

AgvSensor::AgvSensor | ( | BaseCommunication * | comm | ) |

Copy constructor: sets the basic communication object.

Parameters

  comm | The basic communication object

## Member Function Documentation

## ◆ AbortLearning()

void AgvSensor::AbortLearning | ( |  | ) |

Aborts the learning.

## ◆ Close()

void AgvSensor::Close | ( |  | ) |

Method that closes all communication stops all threads and cleanup memory This method must be called when finishing usage of sensor.

## ◆ GetAbortStatus()

NativeAbortStatus AgvSensor::GetAbortStatus | ( |  | ) |

Gets the learning abort status.

Returns
  a enum containing the abort status

## ◆ GetAngleRange()

AngleRange AgvSensor::GetAngleRange | ( |  | ) |

Gets the angle range.

Returns
  An encapsulation of angle range

## ◆ GetContaminationStatus()

ContaminationStatus AgvSensor::GetContaminationStatus | ( |  | ) |

Gets the contamination status.

Returns
  An ContaminationStatus representing the contamination status

## ◆ GetContaminationThreshold()

ContaminationThreshold AgvSensor::GetContaminationThreshold | ( |  | ) |

Gets the contamination threshold.

Returns
  An encapsulation of the contamination threshold

## ◆ GetDataPacketType()

SCAN_PACKET_TYPE AgvSensor::GetDataPacketType | ( |  | ) |

Gets the data packed type.

Returns
  DISTANCE or DISTANCE_INTENSITY

## ◆ GetDefaultValues()

DefaultValues AgvSensor::GetDefaultValues | ( |  | ) |

## ◆ GetDeviceName()

string AgvSensor::GetDeviceName | ( |  | ) |

Gets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ GetErrorLog()

vector< RawDataError > AgvSensor::GetErrorLog | ( |  | ) |

Gets the error log.

Returns
  An encapsulation representing the error log

## ◆ GetField()

FieldData AgvSensor::GetField | ( | uint8_t | fieldNumber,
|  | NativeZoneTypeEnum | zone )

Returns the requested field data.

Parameters

  fieldNumber | The field number we want to retrieve
  zone | The zone type (Near, Middle, Far)

Returns
  An object encapsulating the results

## ◆ GetFieldName()

FieldName AgvSensor::GetFieldName | ( | int | fieldSetNumber | ) |

Gets the field name for a given field number.

Parameters

  fieldSetNumber | The fieldset number to retrieve

Returns
  An encapsulation of date

## ◆ GetImmunityLevel()

unsigned int AgvSensor::GetImmunityLevel | ( |  | ) |

Gets the immunity level.

Returns
  An integer representing the immunity level

## ◆ GetInputControlModeStatus()

NativeInputControleModeStatus AgvSensor::GetInputControlModeStatus | ( |  | ) |

Gets the input controle mode status.

Returns
  a enum containing the status

## ◆ GetInputStatus()

ActiveLevel AgvSensor::GetInputStatus | ( |  | ) |

Gets the input active status for 4 inputs.

Returns
  An object encapsulating the statuses

## ◆ GetLearningErrorCode()

uint16_t AgvSensor::GetLearningErrorCode | ( |  | ) |

Gets the Learning error code.

Returns
  a uint16_t containing the learning error code

## ◆ GetLearningStatus()

NativeFieldLearningStatus AgvSensor::GetLearningStatus | ( |  | ) |

Gets the actual learning status.

Returns
  An enum

## ◆ GetNetworkInformation()

NetworkInformation AgvSensor::GetNetworkInformation | ( |  | ) |

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetObjectSize()

ObjectSize AgvSensor::GetObjectSize | ( |  | ) |

Gets the object size.

Returns
  An encapsulation of enums

## ◆ GetOffDelay()

OnOffDelay AgvSensor::GetOffDelay | ( |  | ) |

Gets OFF delay.

Returns

## ◆ GetOnDelay()

OnOffDelay AgvSensor::GetOnDelay | ( |  | ) |

Gets ON delay.

Returns

## ◆ GetOutputActiveLevel()

ActiveLevel AgvSensor::GetOutputActiveLevel | ( |  | ) |

Gets the output active level for 4 outputs.

Returns
  An object encapsulating the levels

## ◆ GetOutputFunction()

OutputFunction AgvSensor::GetOutputFunction | ( |  | ) |

Gest the output function for 4 outputs.

Returns
  An object encapsulating the functions

## ◆ GetOutputStatus()

ActiveLevel AgvSensor::GetOutputStatus | ( |  | ) |

Gets the output active status for 4 outputs.

Returns
  An object encapsulating the statuses

## ◆ GetPlatformVersion()

uint16_t AgvSensor::GetPlatformVersion | ( |  | ) |

Gets the platform version.

Returns
  a uint16_t containing the version number

Gets the platform version

Returns
  a uint16_t containing the version number

## ◆ GetRawDataExchangeMode()

PROTOCOL AgvSensor::GetRawDataExchangeMode | ( |  | ) |

Get the raw data exchange mode.

Returns
  TCP or UDP

## ◆ GetRuntimeHours()

long AgvSensor::GetRuntimeHours | ( |  | ) |

Gets the sensor runtime hours.

Returns
  A long representing the sensor's runtime hours

## ◆ GetSelectedField()

uint8_t AgvSensor::GetSelectedField | ( |  | ) |

Returns the current selected field data based on inputs.

Returns
  The field number

## ◆ GetSensorLamps()

SensorLamps AgvSensor::GetSensorLamps | ( |  | ) |

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

## ◆ GetSensorLeds()

AgvSensorLeds AgvSensor::GetSensorLeds | ( |  | ) |

Gets the navigation sensor leds status.

## ◆ GetTemperature()

int AgvSensor::GetTemperature | ( |  | ) |

Gets the temperature.

Returns
  An integer representing the sensor's temperature

## ◆ GetUncoverZoneSize()

UncoverZone AgvSensor::GetUncoverZoneSize | ( |  | ) |

Gets the uncovered zone size.

Returns
  An encapsulation of enums

## ◆ GetVersion()

SoftwareVersion AgvSensor::GetVersion | ( |  | ) |

Gets the sensor version data.

Returns
  An encapsulation representing the sensor version

## ◆ GetWarningSpot()

WarningSpot AgvSensor::GetWarningSpot | ( |  | ) |

Gets the warning spot value.

Returns

## ◆ GetWms()

vector< unsigned int > AgvSensor::GetWms | ( |  | ) |

Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)

Returns

## ◆ GetZone1Mode()

NativeZoneModeEnum AgvSensor::GetZone1Mode | ( |  | ) |

Getsq the Zone1Mode parameter.

Returns

## ◆ Initialize()

CommunicationStatus AgvSensor::Initialize | ( |  | ) |

Initializes the object to connect the sensor.

## ◆ RebootDevice()

void AgvSensor::RebootDevice | ( |  | ) |

Reboots the device.

## ◆ RequestChallenge()

string AgvSensor::RequestChallenge | ( |  | ) |

Request the challenge to the sensor.

Returns

## ◆ ResetAllFields()

void AgvSensor::ResetAllFields | ( |  | ) |

Resets all fields to MAXVALUE.

## ◆ ResetDevice()

void AgvSensor::ResetDevice | ( |  | ) |

Resets the device.

## ◆ RetrieveRawData()

RawData AgvSensor::RetrieveRawData | ( |  | ) |

Wait for Raw Data availability.

Returns
  A pointer to the dequeued raw data

## ◆ SendCypher()

ConfigurationResult AgvSensor::SendCypher | ( | string | cypher | ) |

Sends the cypher to the sensor.

Parameters

  cypher |

Returns

## ◆ SendMdi()

void AgvSensor::SendMdi | ( |  | ) |

Request the sensor to start sending MDI data to host.

## ◆ SetAngleRange()

ConfigurationResult AgvSensor::SetAngleRange | ( | AngleRange | pAngleRange | ) |

Sets the Angle range (start and stop)

Parameters

  pAngleRange | The encapsulation of the angle range to be set

Returns
  A configuration result encapsulation

## ◆ SetContaminationThreshold()

ConfigurationResult AgvSensor::SetContaminationThreshold | ( | ContaminationThreshold | pContaminationThreshold | ) |

Sets the contamination level threshold for warning and error.

Parameters

  pContaminationThreshold | The encapsulation of contamination leve threshold

Returns
  A configuration result encapsulation

## ◆ SetDataPacketType()

ConfigurationResult AgvSensor::SetDataPacketType | ( | SCAN_PACKET_TYPE | pPacketType | ) |

Sets the packet type returned in raw data. Can be either DISTANCE or DISTANCE_INTENSITY.

Parameters

  pPacketType | The packet type to be set

Returns
  A configuration result encapsulation

## ◆ SetDeviceName()

ConfigurationResult AgvSensor::SetDeviceName | ( | string | pName | ) |

Sets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ SetField()

ConfigurationResult AgvSensor::SetField | ( | FieldData | data | ) |

Set the requested field data.

Returns
  A configuration result encapsulation

## ◆ SetFieldName()

ConfigurationResult AgvSensor::SetFieldName | ( | FieldName | fieldName | ) |

Sets the field name data.

Parameters

  fieldName |

Returns
  A configuration result encapsulation

## ◆ SetHoldTime()

ConfigurationResult AgvSensor::SetHoldTime | ( | HoldTime | holdTime | ) |

Sets the Hold time.

Returns
  A configuration result encapsulation

## ◆ SetImmunityLevel()

ConfigurationResult AgvSensor::SetImmunityLevel | ( | int | pImmunityLevel | ) |

Sets the sensor's immunity level.

Parameters

  pImmunityLevel | The immunity level to be set

Returns
  A configuration result encapsulation

## ◆ SetInputControlModeStatus()

ConfigurationResult AgvSensor::SetInputControlModeStatus | ( | NativeInputControleModeStatus | controlMode | ) |

Sets the input control mode.

Parameters

  controlMode |

Returns
  A configuration result encapsulation

## ◆ SetInputsValue()

ConfigurationResult AgvSensor::SetInputsValue | ( | NativeActiveLevelEnum | input1,
|  | NativeActiveLevelEnum | input2,
|  | NativeActiveLevelEnum | input3,
|  | NativeActiveLevelEnum | input4 )

Sets the input values.

Sets the input control mode.

Parameters

  input1 |
  input2 |
  input3 |
  input4 |

Returns
  A configuration result encapsulation

Parameters

  controlMode |

Returns
  A configuration result encapsulation

## ◆ SetMultipleSampling()

ConfigurationResult AgvSensor::SetMultipleSampling | ( | MultipleSampling | sampling | ) |

Sets the multiple sampling.

Parameters

  sampling |

Returns
  A configuration result encapsulation

## ◆ SetNetworkInformation()

ConfigurationResult AgvSensor::SetNetworkInformation | ( | NetworkInformation | pNetwork | ) |

Set the overall network information except IP v4 and Port.

Parameters

  pNetwork | An encapsulation of the network data

Returns
  A configuration result encapsulation

## ◆ SetObjectSize()

ConfigurationResult AgvSensor::SetObjectSize | ( | ObjectSize | sizeToSet | ) |

Sets the object size.

Parameters

  sizeToSet |

Returns
  A configuration result encapsulation

## ◆ SetOffDelay()

ConfigurationResult AgvSensor::SetOffDelay | ( | OnOffDelay | offDelay | ) |

Sets the OFF delay.

Returns
  A configuration result encapsulation

## ◆ SetOnDelay()

ConfigurationResult AgvSensor::SetOnDelay | ( | OnOffDelay | onDelay | ) |

Sets the ON delay.

Returns
  A configuration result encapsulation

## ◆ SetOutputActiveLevel()

ConfigurationResult AgvSensor::SetOutputActiveLevel | ( | ActiveLevel | activeLevel | ) |

Sets the output active level.

Parameters

  activeLevel |

Returns
  A configuration result encapsulation

## ◆ SetOutputFunction()

ConfigurationResult AgvSensor::SetOutputFunction | ( | OutputFunction | function | ) |

Sets the output function.

Parameters

  function |

Returns
  A configuration result encapsulation

## ◆ SetRawDataExchangeMode()

ConfigurationResult AgvSensor::SetRawDataExchangeMode | ( | PROTOCOL | pProtocol | ) |

Sets the RAW data exchange mode. Can be either TCP or UDP.

Parameters

  pProtocol | The exchange mode (TCP or UDP)

Returns
  A configuration result encapsulation

## ◆ SetSensorLeds()

ConfigurationResult AgvSensor::SetSensorLeds | ( | AgvSensorLeds | leds | ) |

Sets the sensor's leds.

Parameters

  leds |

Returns
  A configuration result encapsulation

## ◆ SetUncoverZoneSize()

ConfigurationResult AgvSensor::SetUncoverZoneSize | ( | UncoverZone | sizeToSet | ) |

Sets the object size

Parameters

  uncoverZoneToSet |

Returns
  A configuration result encapsulation

## ◆ SetWarningSpot()

ConfigurationResult AgvSensor::SetWarningSpot | ( | WarningSpot | spotToSet | ) |

Sets the warning spots.

Parameters

  sportToSet |

Returns
  A configuration result encapsulation

Parameters

  spotToSet |

Returns
  A configuration result encapsulation

## ◆ SetZone1Mode()

ConfigurationResult AgvSensor::SetZone1Mode | ( | NativeZoneModeEnum | mode | ) |

Sets The Zone1Mode parameter.

Parameters

  mode | An enumeration indicating the mode

Returns

## ◆ StartLearning()

void AgvSensor::StartLearning | ( | uint8_t | fieldNumber,
|  | NativeZoneTypeEnum | zone,
|  | uint16_t | uncover,
|  | NativeObjSizeEnum | objectSize )

Starts the field learning.

Parameters

  fieldNumber | The field number on which the learning may be started
  zone | The zone
  uncover | Yhe uncover distance (from 0 to 500mm)
  objectSize | The objecti size enum

## ◆ StopLearning()

void AgvSensor::StopLearning | ( |  | ) |

Stops the learning.

## ◆ StopMdi()

void AgvSensor::StopMdi | ( |  | ) |

Request the sensor to stop sending MDI data to host.

## ◆ StoreInFlash()

ConfigurationResult AgvSensor::StoreInFlash | ( |  | ) |

Store fields in the flash.

Returns
  A configuration result encapsulation

The documentation for this class was generated from the following files:

- AgvSensor.h
- AgvSensor.cpp